Bug 87863 - Update security/metasploit to 2.5
Summary: Update security/metasploit to 2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-23 08:20 UTC by Jonathan
Modified: 2005-11-07 10:32 UTC (History)
1 user (show)

See Also:


Attachments
metasploit-2.4-2.5.diff (737 bytes, patch)
2005-10-23 08:20 UTC, Jonathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan 2005-10-23 08:20:15 UTC
Update version. New exploits, modules, changed perl scripts. No new files.

How-To-Repeat: Go on vacation, wait for Michael Scheidell to probe you about it.
Thanks, Michael. :-)
Comment 1 Emanuel Haupt freebsd_committer 2005-10-23 13:26:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take it.
Comment 2 Emanuel Haupt freebsd_committer 2005-10-23 13:36:49 UTC
State Changed
From-To: open->feedback

The updated version does not fully honor PREFIX: 

===>  Building package for metasploit-2.5 tar: 
share/metasploit/docs/RELEASE_2.4.txt: Could not stat: No such file or 
directory tar: share/metasploit/payloads/linux_ia32_dN_reverse.pm: Could 
not stat: No such file or directory pkg_create: make_dist: tar command 
failed with code 256 Creating package 
/tmp/packages/All/metasploit-2.5.tbz Registering depends: nasm-0.98.39,1 
p5-Net-SSLeay-1.25 p5-ReadLine-Gnu-1.14 perl-5.8.7.  Creating bzip'd tar 
ball in '/tmp/packages/All/metasploit-2.5.tbz' *** Error code 1
Comment 3 Emanuel Haupt freebsd_committer 2005-10-28 14:34:40 UTC
could you please have a look at this [1]? 
ports have to respect ${PREFIX} [2], it is probably fixable with a quick
REINPLACE_CMD line in the post-patch target.

[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=87863
[2] http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-prefix.html
Comment 4 onatan 2005-11-01 20:58:45 UTC
Here's the new diff, this time pkg-plist was not left out.
Sorry for the attachment, you'll have to uudecode it.

begin 644 metasploit-2.4-2.5-again.diff
M9&EF9B`M=3D7).(&UE=3D&%S<&QO:70N;W)I9R]-86ME9FEL92!M971A<W!L;VET
M+TUA:V5F:6QE"BTM+2!M971A<W!L;VET+F]R:6<O36%K969I;&4)4W5N($IU
M;B`@-2`Q-SHS-CHP,B`R,#`U"BLK*R!M971A<W!L;VET+TUA:V5F:6QE"5-U
M;B!/8W0@,C,@,#@Z-#@Z,C4@,C`P-0I`0"`M-BPX("LV+#<@0$`*(",*(`H@
M4$]25$Y!344]"6UE=3D&%S<&QO:70*+5!/4E1615)324]./0DR+C0*+5!/4E12
M159)4TE/3CT),0HK4$]25%9%4E-)3TX]"3(N-0H@0T%414=3D/4DE%4ST)<V5C
M=3D7)I=3D'D*($U!4U1%4E]3251%4ST):'1T<#HO+W=3DW=3DRYM971A<W!L;VET+F]R
M9R]T;V]L<R\*($1)4U1.04U%/0EF<F%M97=3DO<FLM)'M03U)45D524TE/3GT*
M9&EF9B`M=3D7).(&UE=3D&%S<&QO:70N;W)I9R]D:7-T:6YF;R!M971A<W!L;VET
M+V1I<W1I;F9O"BTM+2!M971A<W!L;VET+F]R:6<O9&ES=3D&EN9F\)4W5N($IU
M;B`@-2`Q-SHS-CHP,B`R,#`U"BLK*R!M971A<W!L;VET+V1I<W1I;F9O"5-U
M;B!/8W0@,C,@,#@Z-3(Z,#$@,C`P-0I`0"`M,2PR("LQ+#(@0$`*+4U$-2`H
M9G)A;65W;W)K+3(N-"YT87(N9WHI(#T@8V(S,S$Y8CDR,SDY8S=3DF86(V.&,W
M-#)D8S<U,#4X.64*+5-)6D4@*&9R86UE=3DV]R:RTR+C0N=3D&%R+F=3DZ*2`](#(V
M,#<W,S`**TU$-2`H9G)A;65W;W)K+3(N-2YT87(N9WHI(#T@868S,3=3DC,6,V
M-S-A,6-E-#4R,V,V9F$W8C8U,64Q8S4**U-)6D4@*&9R86UE=3DV]R:RTR+C4N
M=3D&%R+F=3DZ*2`](#(V,C4W,3D*9&EF9B`M=3D7).(&UE=3D&%S<&QO:70N;W)I9R]P
M:V<M<&QI<W0@;65T87-P;&]I=3D"]P:V<M<&QI<W0*+2TM(&UE=3D&%S<&QO:70N
M;W)I9R]P:V<M<&QI<W0)4W5N($IU;B`@-2`Q-SHS-CHP,B`R,#`U"BLK*R!M
M971A<W!L;VET+W!K9RUP;&ES=3D`E4=3D64@3F]V("`Q(#$V.C`S.C,Y(#(P,#4*
M0$`@+34X+#<@*S4X+#<@0$`*("4E1$%4041)4B4E+V1O8W,O455)0TM35$%2
M5"YM<V9C;&D*("4E1$%4041)4B4E+V1O8W,O455)0TM35$%25"YM<V9C;VYS
M;VQE"B`E)41!5$%$25(E)2]D;V-S+U%524-+4U1!4E0N;7-F=3DV5B"BTE)41!
M5$%$25(E)2]D;V-S+U)%3$5!4T5?,BXT+G1X=3D`HK)25$051!1$E2)24O9&]C
M<R]214Q%05-%7S(N-2YT>'0*("4E1$%4041)4B4E+V1O8W,O4T5#55))5%D*
M("4E1$%4041)4B4E+V1O8W,O5D524TE/3@H@)25$051!1$E2)24O9&]C<R]C
M86-E<G0N<&5M"D!`("TX,"PR-2`K.#`L-#(@0$`*("4E1$%4041)4B4E+V5N
M8V]D97)S+U-P87)C+G!M"B`E)41!5$%$25(E)2]E>'!L;VET<R\S8V]M7S-C
M9&%E;6]N7V9T<%]O=3DF5R9FQO=3DRYP;0H@)25$051!1$E2)24O97AP;&]I=3D',O
M0W)E9&ET<RYP;0HK)25$051!1$E2)24O97AP;&]I=3D',O5&5S=3D&5R+G!M"B`E
M)41!5$%$25(E)2]E>'!L;VET<R]A9G!?;&]G:6YE>'0N<&T*("4E1$%4041)
M4B4E+V5X<&QO:71S+V%I;5]G;V%W87DN<&T**R4E1$%4041)4B4E+V5X<&QO
M:71S+V%L=3D&Y?=3DV5B861M:6XN<&T*("4E1$%4041)4B4E+V5X<&QO:71S+V%P
M86-H95]C:'5N:V5D7W=3DI;C,R+G!M"B`E)41!5$%$25(E)2]E>'!L;VET<R]A
M<FME:6%?86=3DE;G1?86-C97-S+G!M"B`E)41!5$%$25(E)2]E>'!L;VET<R]A
M<FME:6%?=3D'EP93<W7VUA8V]S+G!M"B`E)41!5$%$25(E)2]E>'!L;VET<R]A
M<FME:6%?=3D'EP93<W7W=3DI;C,R+G!M"BLE)41!5$%$25(E)2]E>'!L;VET<R]A
M=3DW-T871S7V-O;F9I9V1I<E]E>&5C+G!M"BLE)41!5$%$25(E)2]E>'!L;VET
M<R]B86-K=3D7!E>&5C7V%G96YT+G!M"BLE)41!5$%$25(E)2]E>'!L;VET<R]B
M86-K=3D7!E>&5C7V1U;7`N<&T*("4E1$%4041)4B4E+V5X<&QO:71S+V)A8VMU
M<&5X96-?;G,N<&T**R4E1$%4041)4B4E+V5X<&QO:71S+V)A8VMU<&5X96-?
M<F5G:7-T<GDN<&T**R4E1$%4041)4B4E+V5X<&QO:71S+V)A9&)L=3D65?97AT
M7V]V97)F;&]W+G!M"B`E)41!5$%$25(E)2]E>'!L;VET<R]B86MB;VYE7VYE
M=3D'9A=3D6QT7VAE87`N<&T**R4E1$%4041)4B4E+V5X<&QO:71S+V)A<G)A8W5D
M85]I;6=3D?97AE8RYP;0H@)25$051!1$E2)24O97AP;&]I=3D',O8FQA8VMI8V5?
M<&%M7VEC<2YP;0H@)25$051!1$E2)24O97AP;&]I=3D',O8V%B<FEG:'1S=3D&]R
M7V1I<V-O+G!M"B`E)41!5$%$25(E)2]E>'!L;VET<R]C86)R:6=3DH=3D'-T;W)?
M9&ES8V]?<V5R=3DFEC97!C+G!M"BLE)41!5$%$25(E)2]E>'!L;VET<R]C86)R
M:6=3DH=3D'-T;W)?<W%L86=3DE;G0N<&T*("4E1$%4041)4B4E+V5X<&QO:71S+V-A
M8G)I9VAT<W1O<E]U;FEA9V5N=3D"YP;0HK)25$051!1$E2)24O97AP;&]I=3D',O
M8V%C86U?;&]G<V5C=3D7)I=3D'E?=3DVEN,S(N<&T**R4E1$%4041)4B4E+V5X<&QO
M:71S+V-A8W1I7V=3DR87!H:6UA9V5?97AE8RYP;0H@)25$051!1$E2)24O97AP
M;&]I=3D',O8V%L:6-C;&YT7V=3DE=3D&-O;F9I9RYP;0H@)25$051!1$E2)24O97AP
M;&]I=3D',O8V%L:6-S97)V7V=3DE=3D&-O;F9I9RYP;0H@)25$051!1$E2)24O97AP
M;&]I=3D',O9&ES=3D&-C7V5X96,N<&T**R4E1$%4041)4B4E+V5X<&QO:71S+V5D
M:7)E8W1O<GE?:6UO;FET;W(N<&T*("4E1$%4041)4B4E+V5X<&QO:71S+V5X
M8VAA;F=3DE,C`P,%]X97AC:#4P+G!M"BLE)41!5$%$25(E)2]E>'!L;VET<R]F
M=3D71U<F5S;V9T7W1F=3D'!D+G!M"B`E)41!5$%$25(E)2]E>'!L;VET<R]G;&]B
M86QS8V%P969T<%]U<V5R7VEN<'5T+G!M"BLE)41!5$%$25(E)2]E>'!L;VET
M<R]G;G5?;6%I;'5T:6QS7VEM87`T9"YP;0HK)25$051!1$E2)24O97AP;&]I
M=3D',O:'!U>%]F=3D'!D7W!R96%U=3D&A?;&ES=3D"YP;0HK)25$051!1$E2)24O97AP
M;&]I=3D',O:'!U>%]L<&1?97AE8RYP;0H@)25$051!1$E2)24O97AP;&]I=3D',O
M:6%?=3DV5B;6%I;"YP;0H@)25$051!1$E2)24O97AP;&]I=3D',O:6-E8V%S=3D%]H
M96%D97(N<&T**R4E1$%4041)4B4E+V5X<&QO:71S+VEE7V]B:F5C=3D'1Y<&4N
M<&T*("4E1$%4041)4B4E+V5X<&QO:71S+VEI<S0P7VAT<BYP;0H@)25$051!
M1$E2)24O97AP;&]I=3D',O:6ES-3!?<')I;G1E<E]O=3DF5R9FQO=3DRYP;0H@)25$
M051!1$E2)24O97AP;&]I=3D',O:6ES-3!?=3DV5B9&%V7VYT9&QL+G!M"D!`("TQ
M,3`L.2`K,3(W+#$T($!`"B`E)41!5$%$25(E)2]E>'!L;VET<R]I;6%I;%]L
M9&%P+G!M"B`E)41!5$%$25(E)2]E>'!L;VET<R]I<FEX7VQP<V-H961?97AE
M8RYP;0H@)25$051!1$E2)24O97AP;&]I=3D',O;'-A<W-?;7,P-%\P,3$N<&T*
M*R4E1$%4041)4B4E+V5X<&QO:71S+VUA:6QE;F%B;&5?875T:%]H96%D97(N
M<&T**R4E1$%4041)4B4E+V5X<&QO:71S+VUA:6QE;F%B;&5?:6UA<"YP;0H@
M)25$051!1$E2)24O97AP;&]I=3D',O;6%X9&)?=3DV5B9&)M7V=3DE=3D%]O=3DF5R9FQO
M=3DRYP;0HK)25$051!1$E2)24O97AP;&]I=3D',O;61A96UO;E]I;6%P7V-R86U?
M;60U+G!M"B`E)41!5$%$25(E)2]E>'!L;VET<R]M97)C86YT96-?<V]F=3D&-A
M<G0N<&T**R4E1$%4041)4B4E+V5X<&QO:71S+VUE<F-U<GE?:6UA<"YP;0H@
M)25$051!1$E2)24O97AP;&]I=3D',O;6EN:7-H87)E7V=3DE=3D%]O=3DF5R9FQO=3DRYP
M;0HK)25$051!1$E2)24O97AP;&]I=3D',O;7,P-5\P,SE?<&YP+G!M"B`E)41!
M5$%$25(E)2]E>'!L;VET<R]M<V%S;C%?;7,P-%\P,#=3D?:VEL;&)I;&PN<&T*
M("4E1$%4041)4B4E+V5X<&QO:71S+VUS;7%?9&5L971E;V)J96-T7VUS,#5?
M,#$W+G!M"B`E)41!5$%$25(E)2]E>'!L;VET<R]M<W)P8U]D8V]M7VUS,#-?
M,#(V+G!M"D!`("TQ,C,L."`K,30U+#$S($!`"B`E)41!5$%$25(E)2]E>'!L
M;VET<R]O<F%C;&4Y:5]X9&)?9G1P+G!M"B`E)41!5$%$25(E)2]E>'!L;VET
M<R]O<F%C;&4Y:5]X9&)?9G1P7W!A<W,N<&T*("4E1$%4041)4B4E+V5X<&QO
M:71S+W!A>6QO861?:&%N9&QE<BYP;0HK)25$051!1$E2)24O97AP;&]I=3D',O
M<&AP7W9B=3D6QL971I;E]T96UP;&%T92YP;0HK)25$051!1$E2)24O97AP;&]I
M=3D',O<&AP7W=3DO<F1P<F5S<U]L87-T<&]S=3D"YP;0HK)25$051!1$E2)24O97AP
M;&]I=3D',O<&AP7WAM;')P8U]E=3DF%L+G!M"BLE)41!5$%$25(E)2]E>'!L;VET
M<R]P:'!B8E]H:6=3DH;&EG:'0N<&T*("4E1$%4041)4B4E+V5X<&QO:71S+W!O
M<'1O<%]N96=3DA=3D&EV95]R96%D+G!M"B`E)41!5$%$25(E)2]E>'!L;VET<R]R
M96%L<V5R=3DF5R7V1E<V-R:6)E7VQI;G5X+G!M"BLE)41!5$%$25(E)2]E>'!L
M;VET<R]R<V%?:6ES=3DV5B86=3DE;G1?<F5D:7)E8W0N<&T*("4E1$%4041)4B4E
M+V5X<&QO:71S+W-A;6)A7VYT=3D')A;G,N<&T*("4E1$%4041)4B4E+V5X<&QO
M:71S+W-A;6)A7W1R86YS,F]P96XN<&T*("4E1$%4041)4B4E+V5X<&QO:71S
M+W-A;6)A7W1R86YS,F]P96Y?;W-X+G!M"D!`("TQ,S,L,3`@*S$V,"PQ,R!`
M0`H@)25$051!1$E2)24O97AP;&]I=3D',O<V5A=3D'1L96QA8E]M86EL7S4U+G!M
M"B`E)41!5$%$25(E)2]E>'!L;VET<R]S96YT:6YE;%]L;3=3D?;W9E<F9L;W<N
M<&T*("4E1$%4041)4B4E+V5X<&QO:71S+W-E<G9U7VUD=3D&U?;W9E<F9L;W<N
M<&T**R4E1$%4041)4B4E+V5X<&QO:71S+W-H;W5T8V%S=3D%]F;W)M871?=3DVEN
M,S(N<&T**R4E1$%4041)4B4E+V5X<&QO:71S+W-L:6UF=3D'!D7VQI<W1?8V]N
M8V%T+G!M"B`E)41!5$%$25(E)2]E>'!L;VET<R]S;6)?<VYI9F9E<BYP;0H@
M)25$051!1$E2)24O97AP;&]I=3D',O<V]L87)I<U]D=3D'-P8V1?;F]I<BYP;0H@
M)25$051!1$E2)24O97AP;&]I=3D',O<V]L87)I<U]K8VUS7W)E861F:6QE+G!M
M"B`E)41!5$%$25(E)2]E>'!L;VET<R]S;VQA<FES7VQP9%]E>&5C+G!M"BLE
M)41!5$%$25(E)2]E>'!L;VET<R]S;VQA<FES7VQP9%]U;FQI;FLN<&T*("4E
M1$%4041)4B4E+V5X<&QO:71S+W-O;&%R:7-?<V%D;6EN9%]E>&5C+G!M"B`E
M)41!5$%$25(E)2]E>'!L;VET<R]S;VQA<FES7W-N;7!X9&UI9"YP;0H@)25$
M051!1$E2)24O97AP;&]I=3D',O<V]L87)I<U]T=3D'EP<F]M<'0N<&T*0$`@+3$U
M,RPX("LQ.#,L,3(@0$`*("4E1$%4041)4B4E+V5X<&QO:71S+W=3DI;F1O=3DW-?
M<W-L7W!C=3D"YP;0H@)25$051!1$E2)24O97AP;&]I=3D',O=3DVEN<U]M<S`T7S`T
M-2YP;0H@)25$051!1$E2)24O97AP;&]I=3D',O=3DW-F=3D'!?<V5R=3DF5R7S4P,U]M
M:V0N<&T**R4E1$%4041)4B4E+V5X<&QO:71S+WIE;G=3DO<FMS7V1E<VMT;W!?
M86=3DE;G0N<&T*("4E1$%4041)4B4E+V5X=3D')A<R].971?4U-,96%Y+G!M+3$N
M,C,N=3D&%R+F=3DZ"B`E)41!5$%$25(E)2]E>'1R87,O5&5R;2U296%D3&EN92U'
M;G4M,2XQ-"YT87(N9WH**R4E1$%4041)4B4E+VQI8B]$:6=3DE<W0O2$U!0RYP
M;0HK)25$051!1$E2)24O;&EB+T1I9V5S=3D"](34%#7TU$-2YP;0HK)25$051!
M1$E2)24O;&EB+T1I9V5S=3D"](34%#7U-(03$N<&T*("4E1$%4041)4B4E+VQI
M8B]$:6=3DE<W0O4&5R;"]-1#4N<&T*("4E1$%4041)4B4E+VQI8B]-<V8O0F%S
M92YP;0H@)25$051!1$E2)24O;&EB+TUS9B]#;VQ0<FEN=3D"YP;0I`0"`M,C<T
M+#8@*S,P."PW($!`"B`E)41!5$%$25(E)2]L:6(O3F5T4&%C:V5T+G!M"B`E
M)41!5$%$25(E)2]L:6(O4&5X+T%L<&AA+G!M"B`E)41!5$%$25(E)2]L:6(O
M4&5X+T%R:V5I82YP;0HK)25$051!1$E2)24O;&EB+U!E>"]"15-E<G9E<E)0
M0RYP;0H@)25$051!1$E2)24O;&EB+U!E>"]$0T524$,N<&T*("4E1$%4041)
M4B4E+VQI8B]097@O14Q&26YF;RYP;0H@)25$051!1$E2)24O;&EB+U!E>"]%
M;F-O9&5R+G!M"D!`("TS,C$L-B`K,S4V+#<@0$`*("4E1$%4041)4B4E+VQI
M8B]097@O5&5X=3D"YP;0H@)25$051!1$E2)24O;&EB+U!E>"]5=3D&EL<RYP;0H@
M)25$051!1$E2)24O;&EB+U!E>"]81%(N<&T**R4E1$%4041)4B4E+VQI8B]0
M97@O:D)!4T4N<&T*("4E1$%4041)4B4E+VQI8B]097@O>#@V+G!M"B`E)41!
M5$%$25(E)2]L:6(O4&5X+G!M"B`E)41!5$%$25(E)2]M<V9C;&D*0$`@+3,W
M."PW("LT,30L-B!`0`H@)25$051!1$E2)24O<&%Y;&]A9',O;&EN=3D7A?:6$S
M,E]B:6YD+G!M"B`E)41!5$%$25(E)2]P87EL;V%D<R]L:6YU>%]I83,R7V)I
M;F1?:64N<&T*("4E1$%4041)4B4E+W!A>6QO861S+VQI;G5X7VEA,S)?8FEN
M9%]S=3D&<N<&T*+24E1$%4041)4B4E+W!A>6QO861S+VQI;G5X7VEA,S)?9$Y?
M<F5V97)S92YP;0H@)25$051!1$E2)24O<&%Y;&]A9',O;&EN=3D7A?:6$S,E]E
M>&5C+G!M"B`E)41!5$%$25(E)2]P87EL;V%D<R]L:6YU>%]I83,R7V9I;F1R
M96-V+G!M"B`E)41!5$%$25(E)2]P87EL;V%D<R]L:6YU>%]I83,R7V9I;F1R
+96-V7W-T9RYP;0H`
`
end
Comment 5 Jonathan 2005-11-02 14:13:40 UTC
>Submitter-Id:	current-users
>Originator:	Jonathan
>Organization:	Ye
>Confidential:	no 
>Synopsis:	Re: ports/87863: Update security/metasploit to 2.5
>Severity:	non-critical
>Priority:	low
>Category:	ports
>Class:		maintainer-update
>Release:	FreeBSD 6.0-BETA4 i386
>Environment:
System: FreeBSD server.afarsec.com 6.0-BETA4 FreeBSD 6.0-BETA4 #4: Fri Sep 9 00:07:43 IDT 2005 root@server.afarsec.com:/usr/obj/usr/src/sys/GENERIC-ALTQ i386

>Description:
This should be a follow-up to ports/87863. If it's not, please reroute it.
>How-To-Repeat:
>Fix:

--- metasploit-2.4-2.5-again.diff begins here ---
diff -urN metasploit.orig/Makefile metasploit/Makefile
--- metasploit.orig/Makefile	Sun Jun  5 17:36:02 2005
+++ metasploit/Makefile	Sun Oct 23 08:48:25 2005
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	metasploit
-PORTVERSION=	2.4
-PORTREVISION=	1
+PORTVERSION=	2.5
 CATEGORIES=	security
 MASTER_SITES=	http://www.metasploit.org/tools/
 DISTNAME=	framework-${PORTVERSION}
diff -urN metasploit.orig/distinfo metasploit/distinfo
--- metasploit.orig/distinfo	Sun Jun  5 17:36:02 2005
+++ metasploit/distinfo	Sun Oct 23 08:52:01 2005
@@ -1,2 +1,2 @@
-MD5 (framework-2.4.tar.gz) = cb3319b92399c7fab68c742dc750589e
-SIZE (framework-2.4.tar.gz) = 2607730
+MD5 (framework-2.5.tar.gz) = af317c1c673a1ce4523c6fa7b651e1c5
+SIZE (framework-2.5.tar.gz) = 2625719
diff -urN metasploit.orig/pkg-plist metasploit/pkg-plist
--- metasploit.orig/pkg-plist	Sun Jun  5 17:36:02 2005
+++ metasploit/pkg-plist	Tue Nov  1 16:03:39 2005
@@ -58,7 +58,7 @@
 %%DATADIR%%/docs/QUICKSTART.msfcli
 %%DATADIR%%/docs/QUICKSTART.msfconsole
 %%DATADIR%%/docs/QUICKSTART.msfweb
-%%DATADIR%%/docs/RELEASE_2.4.txt
+%%DATADIR%%/docs/RELEASE_2.5.txt
 %%DATADIR%%/docs/SECURITY
 %%DATADIR%%/docs/VERSION
 %%DATADIR%%/docs/cacert.pem
@@ -80,25 +80,42 @@
 %%DATADIR%%/encoders/Sparc.pm
 %%DATADIR%%/exploits/3com_3cdaemon_ftp_overflow.pm
 %%DATADIR%%/exploits/Credits.pm
+%%DATADIR%%/exploits/Tester.pm
 %%DATADIR%%/exploits/afp_loginext.pm
 %%DATADIR%%/exploits/aim_goaway.pm
+%%DATADIR%%/exploits/altn_webadmin.pm
 %%DATADIR%%/exploits/apache_chunked_win32.pm
 %%DATADIR%%/exploits/arkeia_agent_access.pm
 %%DATADIR%%/exploits/arkeia_type77_macos.pm
 %%DATADIR%%/exploits/arkeia_type77_win32.pm
+%%DATADIR%%/exploits/awstats_configdir_exec.pm
+%%DATADIR%%/exploits/backupexec_agent.pm
+%%DATADIR%%/exploits/backupexec_dump.pm
 %%DATADIR%%/exploits/backupexec_ns.pm
+%%DATADIR%%/exploits/backupexec_registry.pm
+%%DATADIR%%/exploits/badblue_ext_overflow.pm
 %%DATADIR%%/exploits/bakbone_netvault_heap.pm
+%%DATADIR%%/exploits/barracuda_img_exec.pm
 %%DATADIR%%/exploits/blackice_pam_icq.pm
 %%DATADIR%%/exploits/cabrightstor_disco.pm
 %%DATADIR%%/exploits/cabrightstor_disco_servicepc.pm
+%%DATADIR%%/exploits/cabrightstor_sqlagent.pm
 %%DATADIR%%/exploits/cabrightstor_uniagent.pm
+%%DATADIR%%/exploits/cacam_logsecurity_win32.pm
+%%DATADIR%%/exploits/cacti_graphimage_exec.pm
 %%DATADIR%%/exploits/calicclnt_getconfig.pm
 %%DATADIR%%/exploits/calicserv_getconfig.pm
 %%DATADIR%%/exploits/distcc_exec.pm
+%%DATADIR%%/exploits/edirectory_imonitor.pm
 %%DATADIR%%/exploits/exchange2000_xexch50.pm
+%%DATADIR%%/exploits/futuresoft_tftpd.pm
 %%DATADIR%%/exploits/globalscapeftp_user_input.pm
+%%DATADIR%%/exploits/gnu_mailutils_imap4d.pm
+%%DATADIR%%/exploits/hpux_ftpd_preauth_list.pm
+%%DATADIR%%/exploits/hpux_lpd_exec.pm
 %%DATADIR%%/exploits/ia_webmail.pm
 %%DATADIR%%/exploits/icecast_header.pm
+%%DATADIR%%/exploits/ie_objecttype.pm
 %%DATADIR%%/exploits/iis40_htr.pm
 %%DATADIR%%/exploits/iis50_printer_overflow.pm
 %%DATADIR%%/exploits/iis50_webdav_ntdll.pm
@@ -110,9 +127,14 @@
 %%DATADIR%%/exploits/imail_ldap.pm
 %%DATADIR%%/exploits/irix_lpsched_exec.pm
 %%DATADIR%%/exploits/lsass_ms04_011.pm
+%%DATADIR%%/exploits/mailenable_auth_header.pm
+%%DATADIR%%/exploits/mailenable_imap.pm
 %%DATADIR%%/exploits/maxdb_webdbm_get_overflow.pm
+%%DATADIR%%/exploits/mdaemon_imap_cram_md5.pm
 %%DATADIR%%/exploits/mercantec_softcart.pm
+%%DATADIR%%/exploits/mercury_imap.pm
 %%DATADIR%%/exploits/minishare_get_overflow.pm
+%%DATADIR%%/exploits/ms05_039_pnp.pm
 %%DATADIR%%/exploits/msasn1_ms04_007_killbill.pm
 %%DATADIR%%/exploits/msmq_deleteobject_ms05_017.pm
 %%DATADIR%%/exploits/msrpc_dcom_ms03_026.pm
@@ -123,8 +145,13 @@
 %%DATADIR%%/exploits/oracle9i_xdb_ftp.pm
 %%DATADIR%%/exploits/oracle9i_xdb_ftp_pass.pm
 %%DATADIR%%/exploits/payload_handler.pm
+%%DATADIR%%/exploits/php_vbulletin_template.pm
+%%DATADIR%%/exploits/php_wordpress_lastpost.pm
+%%DATADIR%%/exploits/php_xmlrpc_eval.pm
+%%DATADIR%%/exploits/phpbb_highlight.pm
 %%DATADIR%%/exploits/poptop_negative_read.pm
 %%DATADIR%%/exploits/realserver_describe_linux.pm
+%%DATADIR%%/exploits/rsa_iiswebagent_redirect.pm
 %%DATADIR%%/exploits/samba_nttrans.pm
 %%DATADIR%%/exploits/samba_trans2open.pm
 %%DATADIR%%/exploits/samba_trans2open_osx.pm
@@ -133,10 +160,13 @@
 %%DATADIR%%/exploits/seattlelab_mail_55.pm
 %%DATADIR%%/exploits/sentinel_lm7_overflow.pm
 %%DATADIR%%/exploits/servu_mdtm_overflow.pm
+%%DATADIR%%/exploits/shoutcast_format_win32.pm
+%%DATADIR%%/exploits/slimftpd_list_concat.pm
 %%DATADIR%%/exploits/smb_sniffer.pm
 %%DATADIR%%/exploits/solaris_dtspcd_noir.pm
 %%DATADIR%%/exploits/solaris_kcms_readfile.pm
 %%DATADIR%%/exploits/solaris_lpd_exec.pm
+%%DATADIR%%/exploits/solaris_lpd_unlink.pm
 %%DATADIR%%/exploits/solaris_sadmind_exec.pm
 %%DATADIR%%/exploits/solaris_snmpxdmid.pm
 %%DATADIR%%/exploits/solaris_ttyprompt.pm
@@ -153,8 +183,12 @@
 %%DATADIR%%/exploits/windows_ssl_pct.pm
 %%DATADIR%%/exploits/wins_ms04_045.pm
 %%DATADIR%%/exploits/wsftp_server_503_mkd.pm
+%%DATADIR%%/exploits/zenworks_desktop_agent.pm
 %%DATADIR%%/extras/Net_SSLeay.pm-1.23.tar.gz
 %%DATADIR%%/extras/Term-ReadLine-Gnu-1.14.tar.gz
+%%DATADIR%%/lib/Digest/HMAC.pm
+%%DATADIR%%/lib/Digest/HMAC_MD5.pm
+%%DATADIR%%/lib/Digest/HMAC_SHA1.pm
 %%DATADIR%%/lib/Digest/Perl/MD5.pm
 %%DATADIR%%/lib/Msf/Base.pm
 %%DATADIR%%/lib/Msf/ColPrint.pm
@@ -274,6 +308,7 @@
 %%DATADIR%%/lib/NetPacket.pm
 %%DATADIR%%/lib/Pex/Alpha.pm
 %%DATADIR%%/lib/Pex/Arkeia.pm
+%%DATADIR%%/lib/Pex/BEServerRPC.pm
 %%DATADIR%%/lib/Pex/DCERPC.pm
 %%DATADIR%%/lib/Pex/ELFInfo.pm
 %%DATADIR%%/lib/Pex/Encoder.pm
@@ -321,6 +356,7 @@
 %%DATADIR%%/lib/Pex/Text.pm
 %%DATADIR%%/lib/Pex/Utils.pm
 %%DATADIR%%/lib/Pex/XDR.pm
+%%DATADIR%%/lib/Pex/jBASE.pm
 %%DATADIR%%/lib/Pex/x86.pm
 %%DATADIR%%/lib/Pex.pm
 %%DATADIR%%/msfcli
@@ -378,7 +414,6 @@
 %%DATADIR%%/payloads/linux_ia32_bind.pm
 %%DATADIR%%/payloads/linux_ia32_bind_ie.pm
 %%DATADIR%%/payloads/linux_ia32_bind_stg.pm
-%%DATADIR%%/payloads/linux_ia32_dN_reverse.pm
 %%DATADIR%%/payloads/linux_ia32_exec.pm
 %%DATADIR%%/payloads/linux_ia32_findrecv.pm
 %%DATADIR%%/payloads/linux_ia32_findrecv_stg.pm
--- metasploit-2.4-2.5-again.diff ends here ---
Comment 6 Emanuel Haupt freebsd_committer 2005-11-02 14:15:41 UTC
The uudecoded patch contains binary data. Could you maybe send me a
tarball or a non uuencoded patch?
Comment 7 Emanuel Haupt freebsd_committer 2005-11-07 10:32:48 UTC
State Changed
From-To: feedback->closed

Committed, thanks!